<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="ipngMessage.METADATA_DISSOCIATE_LINK_TITLE">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="onCancelButtonClicked()">
  </button>
</div>

<div class="modal-body d-flex flex-row">
  <div class="mt-4 mx-3 w-100">
    <p [innerText]="ipngMessage.METADATA_DISSOCIATE_ARE_YOU_SURE"></p>
    <ul>
      <li class="fw-bold">{{ tenantMetadata.name }}</li>
      <li class="fw-bold">{{ ipngMetadata | ipngMetadataName }}</li>
    </ul>
  </div>
</div>

<div class="modal-footer">
  <button ls-button-cancel (click)="cancel()"></button>
  <button
    ls-button [processing]="isProcessing"
    (click)="validate()"
    [text]="ipngMessage.DISSOCIATE_BUTTON"
    [icon]="faUnlink">
  </button>
</div>
